[Setup]
AppName=Arasan
AppVerName=Arasan 12.3
DefaultDirName={pf}\Arasan\12.3
DefaultGroupName=Arasan 12.3
AppCopyright=Copyright 1994-2011 by Jon Dart. All Rights Reserved.
Compression=bzip
OutputBaseFilename=arasan12.3
OutputDir=gui\install
SourceDir=..\..
UsePreviousAppDir=no
UsePreviousGroup=no

[Registry]
Root: HKCU; Subkey: "Software\Arasan"; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\Arasan\Arasan"; Flags: uninsdeletekey

[Types]
Name: "Full"; Description: "Full installation"
Name: "ChessEngine"; Description: "Chess Engine only"

[Components]
Name: "GUI"; Description: "GUI Files"; Types: Full; Flags: fixed
Name: "book"; Description: "Opening Book"; Types: Full ChessEngine
Name: "engine"; Description: "Chess Engine"; Types: Full ChessEngine

[Files]
Source: "gui\release\arasan.exe"; DestDir: "{app}"; Components: GUI
Source: "gui\res\arasan.ico"; DestDir: "{app}"; Components: GUI
Source: "gui\help\arasan.hlp"; DestDir: "{app}"; Components: GUI
Source: "gui\help\arasan.cnt"; DestDir: "{app}"; Components: GUI
Source: "gui\fonts\alpha.ttf"; DestDir: "{fonts}"; Components: GUI; FontInstall: "Chess Alpha"; Flags: onlyifdoesntexist uninsneveruninstall
Source: "gui\fonts\Berlin.ttf"; DestDir: "{fonts}"; Components: GUI; FontInstall: "Chess Berlin"; Flags: onlyifdoesntexist uninsneveruninstall
Source: "gui\fonts\merifont.ttf"; DestDir: "{fonts}"; Components: GUI; FontInstall: "Chess Merida"; Flags: onlyifdoesntexist uninsneveruninstall
Source: "gui\fonts\maya_tt.ttf"; DestDir: "{fonts}"; Components: GUI; FontInstall: "Chess Maya"; Flags: onlyifdoesntexist uninsneveruninstall
Source: "gui\fonts\chessmar.ttf"; DestDir: "{fonts}"; Components: GUI; FontInstall: "Chess Marroquin"; Flags: onlyifdoesntexist uninsneveruninstall
Source: "win32\release\arasanx.exe"; DestDir: "{app}"; Components: engine
Source: "src\arasan.rc"; DestDir: "{app}"; Components: engine
Source: "book\book.bin"; DestDir: "{app}"; Components: book
Source: "data\*.bit"; DestDir: "{app}"; Components: engine
Source: "doc\README.TXT"; DestDir: "{app}"; Components: engine; Flags: isreadme

[Icons]
Name: "{group}\Arasan"; Components: GUI; Filename: {app}\arasan.exe; Comment: "Arasan Chess Program"; IconFileName: {app}\arasan.ico
Name: "{group}\Arasan Readme"; Filename: {app}\README.TXT

[UninstallDelete]
Type: files; Name: "{app}\arasan.log"
Type: files; Name: "{app}\arasan.lrn"
